Get SCIM Resource Types Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developer.adra.com/doc/adra-scim/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SCIM 2 MCP server": {
    "url": "https://developer.adra.com/doc/adra-scim/mcp"
  }
}

Close
GET /ResourceTypes

Returns available resources for each schema

Responses

  • 200 application/scim+json

    OK

    Hide response attributes Show response attributes object
    • schemas array[string]
    • totalResults integer(int32)
    • itemsPerPage integer(int32)
    • startIndex null | integer(int32)
    • Resources null | array[object]
      Hide Resources attributes Show Resources attributes object
      • id string
      • name string
      • endpoint string
      • schema string
      • schemas array[string]
  • 400 application/scim+json

    Bad Request

    Hide response attributes Show response attributes object
    • type null | string
    • title null | string
    • status null | integer(int32)
    • detail null | string
    • instance null | string
  • 401 application/scim+json

    Unauthorized

    Hide response attributes Show response attributes object
    • type null | string
    • title null | string
    • status null | integer(int32)
    • detail null | string
    • instance null | string
  • 403 application/scim+json

    Forbidden

    Hide response attributes Show response attributes object
    • type null | string
    • title null | string
    • status null | integer(int32)
    • detail null | string
    • instance null | string
  • 501 application/scim+json

    Not Implemented

    Hide response attributes Show response attributes object
    • type null | string
    • title null | string
    • status null | integer(int32)
    • detail null | string
    • instance null | string
GET /ResourceTypes
curl \
 --request GET 'https://setup.adra.com/api/organizations/{organizationSid}/scim/ResourceTypes' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "schemas": [
    "urn:ietf:params:scim:api:messages:2.0:ListResponse"
  ],
  "totalResults": 2,
  "itemsPerPage": 10,
  "startIndex": 1,
  "Resources": [
    {
      "id": "User",
      "name": "User",
      "endpoint": "/Users",
      "schema": "urn:ietf:params:scim:schemas:core:2.0:User",
      "schemas": [
        "urn:ietf:params:scim:schemas:core:2.0:ResourceType"
      ]
    },
    {
      "id": "Group",
      "name": "Group",
      "endpoint": "/Groups",
      "schema": "urn:ietf:params:scim:schemas:core:2.0:Group",
      "schemas": [
        "urn:ietf:params:scim:schemas:core:2.0:ResourceType"
      ]
    }
  ]
}
Response examples (400)
{
  "type": null,
  "title": null,
  "status": null,
  "detail": null,
  "instance": null
}
Response examples (401)
{
  "type": null,
  "title": null,
  "status": null,
  "detail": null,
  "instance": null
}
Response examples (403)
{
  "type": null,
  "title": null,
  "status": null,
  "detail": null,
  "instance": null
}
Response examples (501)
{
  "type": null,
  "title": null,
  "status": null,
  "detail": null,
  "instance": null
}